<?php

/*  Alternate WebshopEngine
(C) 2009-2014 by Alternate Tools
-----------------------------------------------------

File:         edit_shopconfig.php
Description:  Administrative module to edit shop configuration

*/

    include "../modules/mod_config.php";
    include "../modules/mod_admin.php";
    include "../modules/class_translation.php";
    include "../modules/class_textfile.php";

    $cFile = new cTextFile;
    $con_Config = new cConfiguration;
    $con_Config->SetConfigurationFile($ADMIN_CONFIG_FILE);
    $bErrorOccured = false;
    $errorString = "";

    // Check privilege
    check_login();
    if (user_is_customer() == true)
    {
        log_out();
        return;
    }
    if (user_is_reporter() == true)
    {
        header('location: '. $ADMIN_CONFIG_SITE);
        return;
    }

    if ($con_Config->LoadConfigFile() == false)
        $errorString = $cTrans->GetTranslation('admin_confed_errorload') . '!';

    // Cancel config?
    if (isset($_POST['config_Cancel']))
    {
        header('location: ' . $ADMIN_CONFIG_SITE);
        return;
    }
    
    // Save config?
    if (isset($_POST['config_Save']))
    {
        // Webshop title
        if (isset($_POST['conf_shoptitle']) == false || $_POST['conf_shoptitle'] == "")
            $_POST['conf_shoptitle'] = "Alternate Webshop";  // default
        $con_Config->SetParameter("shop_title", $_POST['conf_shoptitle']);
        if (isset($_POST['conf_shopsitetitle']) == false || $_POST['conf_shopsitetitle'] == "")
            $_POST['conf_shopsitetitle'] = "";  // might be empty
        $con_Config->SetParameter("shop_sitetitle", $_POST['conf_shopsitetitle']);
        // Email for orders
        if (isset($_POST['conf_orderemail']) && $_POST['conf_orderemail'] != "")
        {
            if (!ereg("^.+@.+\\..+$", $_POST['conf_orderemail']))
            {
                $errorString = $cTrans->GetTranslation('admin_confed_erroremail') . '!';
                $bErrorOccured = true;
            }
            else
                $con_Config->SetParameter("email", $_POST['conf_orderemail']);
        }
        else
        {
            $errorString = $cTrans->GetTranslation('admin_confed_erroremail') . '!';
            $bErrorOccured = true;
        }
        // Customer order email
        $con_Config->SetParameter("cust_email", isset($_POST['conf_custorderemail']));
        // Customer order done email
        $con_Config->SetParameter("cust_order_done_email", isset($_POST['conf_custorderdoneemail']));
        // Meta tags
        if (isset($_POST['conf_metatags']) == false || $_POST['conf_metatags'] == "")
            $_POST['conf_metatags'] = "";  // might be empty
        $con_Config->SetParameter("meta_tags", $_POST['conf_metatags']);
        if (isset($_POST['conf_metadescription']) == false || $_POST['conf_metadescription'] == "")
            $_POST['conf_metadescription'] = $_POST['conf_shoptitle'];
        $con_Config->SetParameter("meta_description", $_POST['conf_metadescription']);
        // Number of images
        if (isset($_POST['conf_numimages']) == false || $_POST['conf_numimages'] == "" || $_POST['conf_numimages'] < 1)
            $_POST['conf_numimages'] = "4";  // default
        $con_Config->SetParameter("num_images", $_POST['conf_numimages']);
        // Images measurements
        // Normal image
        if (isset($_POST['conf_img_width']) == false || $_POST['conf_img_width'] == "" || is_numeric($_POST['conf_img_width']) == false || $_POST['conf_img_width'] < 10)
            $_POST['conf_img_width'] = "320";  // default
        $con_Config->SetParameter("img_width", $_POST['conf_img_width']);
        if (isset($_POST['conf_img_height']) == false || $_POST['conf_img_height'] == "" || is_numeric($_POST['conf_img_height']) == false || $_POST['conf_img_height'] < 10)
            $_POST['conf_img_height'] = "240";  // default
        $con_Config->SetParameter("img_height", $_POST['conf_img_height']);
        // Large image
        if (isset($_POST['conf_largeimg_width']) == false || $_POST['conf_largeimg_width'] == "" || is_numeric($_POST['conf_largeimg_width']) == false || $_POST['conf_largeimg_width'] < 10)
            $_POST['conf_largeimg_width'] = "640";  // default
        $con_Config->SetParameter("large_img_width", $_POST['conf_largeimg_width']);
        if (isset($_POST['conf_largeimg_height']) == false || $_POST['conf_largeimg_height'] == "" || is_numeric($_POST['conf_largeimg_height']) == false || $_POST['conf_largeimg_height'] < 10)
            $_POST['conf_largeimg_height'] = "480";  // default
        $con_Config->SetParameter("large_img_height", $_POST['conf_largeimg_height']);
        // Thumbnail image
        if (isset($_POST['conf_thumbimg_width']) == false || $_POST['conf_thumbimg_width'] == "" || is_numeric($_POST['conf_thumbimg_width']) == false || $_POST['conf_thumbimg_width'] < 10)
            $_POST['conf_thumbimg_width'] = "90";  // default
        $con_Config->SetParameter("thumb_img_width", $_POST['conf_thumbimg_width']);
        if (isset($_POST['conf_thumbimg_height']) == false || $_POST['conf_thumbimg_height'] == "" || is_numeric($_POST['conf_thumbimg_height']) == false || $_POST['conf_thumbimg_height'] < 10)
            $_POST['conf_thumbimg_height'] = "60";  // default
        $con_Config->SetParameter("thumb_img_height", $_POST['conf_thumbimg_height']);
        // Basket image
        if (isset($_POST['conf_basketimg_width']) == false || $_POST['conf_basketimg_width'] == "" || is_numeric($_POST['conf_basketimg_width']) == false || $_POST['conf_basketimg_width'] < 10)
            $_POST['conf_basketimg_width'] = "30";  // default
        $con_Config->SetParameter("basket_img_width", $_POST['conf_basketimg_width']);
        if (isset($_POST['conf_basketimg_height']) == false || $_POST['conf_basketimg_height'] == "" || is_numeric($_POST['conf_basketimg_height']) == false || $_POST['conf_basketimg_height'] < 10)
            $_POST['conf_basketimg_height'] = "20";  // default
        $con_Config->SetParameter("basket_img_height", $_POST['conf_basketimg_height']);
        // Sidebar image
        if (isset($_POST['conf_sidebarimg_width']) == false || $_POST['conf_sidebarimg_width'] == "" || is_numeric($_POST['conf_basketimg_width']) == false || $_POST['conf_sidebarimg_width'] < 10)
            $_POST['conf_sidebarimg_width'] = "30";  // default
        $con_Config->SetParameter("sidebar_img_width", $_POST['conf_sidebarimg_width']);
        if (isset($_POST['conf_sidebarimg_height']) == false || $_POST['conf_sidebarimg_height'] == "" || is_numeric($_POST['conf_sidebarimg_height']) == false || $_POST['conf_sidebarimg_height'] < 10)
            $_POST['conf_sidebarimg_height'] = "20";  // default
        $con_Config->SetParameter("sidebar_img_height", $_POST['conf_sidebarimg_height']);
        // Show video hint
        $con_Config->SetParameter("show_videohint", isset($_POST['conf_showvideohint']));
        // Currency
        if (isset($_POST['conf_currency']) == false || $_POST['conf_currency'] == "")
            $_POST['conf_currency'] = "";  // default
        $con_Config->SetParameter("currency", $_POST['conf_currency']);
        if (isset($_POST['conf_shiptype']) == false || $_POST['conf_shiptype'] == "")
            $_POST['conf_shiptype'] = "Prepay;Payment";  // default
        $con_Config->SetParameter("shipping_type", $_POST['conf_shiptype']);
        if (isset($_POST['conf_shipcosts']) == false || $_POST['conf_shipcosts'] == "")
            $_POST['conf_shipcosts'] = "5;5";  // default
        $con_Config->SetParameter("shipping_costs", correct_decimal_seperator($_POST['conf_shipcosts']));
        if (isset($_POST['conf_maxarticlecount']) == false || $_POST['conf_maxarticlecount'] == "" || is_numeric($_POST['conf_maxarticlecount']) == false || $_POST['conf_maxarticlecount'] < 1)
            $_POST['conf_maxarticlecount'] = "10";  // default
        $con_Config->SetParameter("max_article_count", $_POST['conf_maxarticlecount']);
        // Language
        if (isset($_POST['conf_language']) == false || $_POST['conf_language'] == "")
            $_POST['conf_language'] = "en";  // default
        $con_Config->SetParameter("language", $_POST['conf_language']);
        // WYSIWYG editor
        $con_Config->SetParameter("use_wysiwygeditor", isset($_POST['conf_usewysiwygeditor']));
        // Sidebar
        $con_Config->SetParameter("use_sidebar", isset($_POST['conf_usesidebar']));
        $con_Config->SetParameter("sidebar_newest", isset($_POST['conf_sidebarnewest']));
        $con_Config->SetParameter("sidebar_cheapest", isset($_POST['conf_sidebarcheapest']));
        $con_Config->SetParameter("sidebar_popular", isset($_POST['conf_sidebarpopular']));
        $con_Config->SetParameter("sidebar_mostordered", isset($_POST['conf_sidebarmostordered']));
        $con_Config->SetParameter("sidebar_recent", isset($_POST['conf_sidebarrecent']));
        $con_Config->SetParameter("sidebar_similar", isset($_POST['conf_sidebarsimilar']));
        if (isset($_POST['conf_sidebarimgcount']) == false || $_POST['conf_sidebarimgcount'] == "" || $_POST['conf_sidebarimgcount'] < 1)
            $_POST['conf_sidebarimgcount'] = "2";  // default
        $con_Config->SetParameter("sidebar_img_count", $_POST['conf_sidebarimgcount']);
        if (isset($_POST['conf_sidebarwidth']) == false || $_POST['conf_sidebarwidth'] == "" || $_POST['conf_sidebarwidth'] < ($_POST['conf_thumbimg_width'] + 8))
            $_POST['conf_sidebarwidth'] = $_POST['conf_thumbimg_width'] + 8;  // default
        $con_Config->SetParameter("sidebar_width", $_POST['conf_sidebarwidth']);
        // Custom fields
        $con_Config->SetParameter("use_custom_fields", isset($_POST['conf_custfieldusage']));
        $con_Config->SetParameter("use_presets", isset($_POST['conf_presets']));
        for ($i = 1; $i <= $PRESET_CUSTOM_FIELD_COUNT; $i ++)
        {
            if (isset($_POST['conf_custfieldname' . $i]))
                $con_Config->SetParameter("cust_field_name" . $i , $_POST['conf_custfieldname' . $i]);
            if (isset($_POST['conf_custfieldvalue' . $i]))
                $con_Config->SetParameter("cust_field_value" . $i , $_POST['conf_custfieldvalue' . $i]);
        }
        // Frontend sort
        if (isset($_POST['conf_frontendsort']) == false)
            $_POST['conf_frontendsort'] = $SORT_ID_DESC; // default
        $con_Config->SetParameter("frontend_sort", $_POST['conf_frontendsort']);
        // Backend sort
        if (isset($_POST['conf_backendsort']) == false)
            $_POST['conf_backendsort'] = $SORT_ID_DESC; // default
        $con_Config->SetParameter("backend_sort", $_POST['conf_backendsort']);
        // Use categories
        $con_Config->SetParameter("use_categories", isset($_POST['conf_usecategories']));
        // Use article amounts
        $con_Config->SetParameter("use_article_amounts", isset($_POST['conf_usearticleamounts']));
        // Button main page
        $con_Config->SetParameter("buttontitle_main", $_POST['conf_buttontitlemain']);
        // Button basket
        $con_Config->SetParameter("buttontitle_basket", $_POST['conf_buttontitlebasket']);
        // Button cash desk
        $con_Config->SetParameter("buttontitle_order", $_POST['conf_buttontitleorder']);
        // Button terms
        $con_Config->SetParameter("buttontitle_terms", $_POST['conf_buttontitleterms']);
        // Button imprint
        $con_Config->SetParameter("buttontitle_imprint", $_POST['conf_buttontitleimprint']);
        // Button contact
        $con_Config->SetParameter("buttontitle_contact", $_POST['conf_buttontitlecontact']);
        // Show contact
        $con_Config->SetParameter("show_contact", isset($_POST['conf_showcontact']));
        // Button help
        $con_Config->SetParameter("buttontitle_help", $_POST['conf_buttontitlehelp']);
        // Show help
        $con_Config->SetParameter("show_help", isset($_POST['conf_showhelp']));
        // Show counter
        $con_Config->SetParameter("show_counter", isset($_POST['conf_showcounter']));
        // Maintenance mode
        $con_Config->SetParameter("maintenance_mode", isset($_POST['conf_maintenance']));

        // No errors, save the config file
        if ($bErrorOccured == false)
        {
            if ($con_Config->SaveConfigFile() == false)
                $errorString = $cTrans->GetTranslation('admin_confed_errorsave') . '!';
            else
            {
                // Done, now update the index.htm forward page
                $indexText = $cFile->LoadFromFile($SHOPINDEX_CONFIG_FILE);
                $indexTitle = $con_Config->GetParameter("shop_title");
                if ($con_Config->GetParameter("shop_sitetitle") != "")
                    $indexTitle = $indexTitle . ' - ' . $con_Config->GetParameter("shop_title");
                $indexText = str_replace('$$INDEX_TITLE$$', $indexTitle, $indexText);
                $indexText = str_replace('$$INDEX_DESCRIPTION$$', $con_Config->GetParameter("meta_description"), $indexText);
                $indexText = str_replace('$$INDEX_LANGUAGE$$', $con_Config->GetParameter("meta_language"), $indexText);
                $indexText = str_replace('$$INDEX_KEYWORDS$$', $con_Config->GetParameter("meta_tags"), $indexText);
                $indexText = str_replace('$$INDEX_REVISIT$$', $con_Config->GetParameter("meta_revisit"), $indexText);
                $cFile->SaveToFile($SHOPINDEX_FILE, $indexText);
                
                log_message ('User ' . get_user_name() . ' saved configuration');
                header('location: ' . $ADMIN_CONFIG_SITE);
                return;
            }
        }
    }

    // Display
    print_admin_header($cTrans->GetTranslation('admin_confed_head'), true, $cTrans->GetTranslation('admin_login_logout'), true, $cTrans->GetTranslation('admin_backtomain'),
                       $ADMIN_CONFIG_SITE, $cTrans->GetTranslation('admin_config_button'));
    print_help_link($ADMIN_HELP_FILE . '#n2-1', $cTrans->GetTranslation('admin_help'));
    if ($errorString != "")
        print_error_message ($errorString);
        
    echo_r ('<form method="post" action="">');

    // Webshop title
    echo_r ('<table border="0" width="100%">');
    echo_r ('  <tr>');
    echo_r ('    <td width="30%">' . $cTrans->GetTranslation('admin_confed_shoptitle') . ': </td>');
    echo_r ('    <td><input type="text" size="40" name="conf_shoptitle" value="' . $con_Config->GetParameter("shop_title") . '"></td>');
    echo_r ('  </tr>');
    echo_r ('  <tr>');
    echo_r ('    <td width="30%">' . $cTrans->GetTranslation('admin_confed_shopsitetitle') . ': </td>');
    echo_r ('    <td><input type="text" size="40" name="conf_shopsitetitle" value="' . $con_Config->GetParameter("shop_sitetitle") . '"></td>');
    echo_r ('  </tr>');
    // Webshop email
    echo_r ('  <tr>');
    echo_r ('    <td width="30%">' . $cTrans->GetTranslation('admin_confed_orderemail') . ': </td>');
    echo_r ('    <td><input type="text" size="40" name="conf_orderemail" value="' . $con_Config->GetParameter("email") . '"></td>');
    echo_r ('  </tr>');
    // Webshop customer order email
    echo_r ('  <tr>');
    echo ('    <td width="30%"><input type="checkbox" name="conf_custorderemail" value="1"');
    if ($con_Config->GetParameter("cust_email") == true)
        echo (' checked');
    echo_r ('>' . $cTrans->GetTranslation('admin_confed_custorderemail') . '</td>');
    echo_r ('    <td></td>');
    echo_r ('  </tr>');
    // Webshop customer order done email
    echo_r ('  <tr>');
    echo ('    <td width="30%"><input type="checkbox" name="conf_custorderdoneemail" value="1"');
    if ($con_Config->GetParameter("cust_order_done_email") == true)
        echo (' checked');
    echo_r ('>' . $cTrans->GetTranslation('admin_confed_custorderdoneemail') . '</td>');
    echo_r ('    <td></td>');
    echo_r ('  </tr>');
    // Webshop meta tags
    echo_r ('  <tr>');
    echo_r ('    <td width="30%">' . $cTrans->GetTranslation('admin_confed_metatags') . ': </td>');
    echo_r ('    <td><input type="text" size="60" name="conf_metatags" value="' . $con_Config->GetParameter("meta_tags") . '"></td>');
    echo_r ('  </tr>');
    // Webshop meta description
    echo_r ('  <tr>');
    echo_r ('    <td width="30%">' . $cTrans->GetTranslation('admin_confed_metadescription') . ': </td>');
    echo_r ('    <td><input type="text" size="60" name="conf_metadescription" value="' . $con_Config->GetParameter("meta_description") . '"></td>');
    echo_r ('  </tr>');
    echo_r ('</table>');
    // Number of images
    echo_r ('<hr>');
    echo_r ('<table border="0" width="100%">');
    echo_r ('  <tr>');
    echo_r ('    <td width="30%">' . $cTrans->GetTranslation('admin_confed_numimages') . ': </td>');
    echo_r ('    <td><input type="text" size="4" name="conf_numimages" value="' . $con_Config->GetParameter("num_images") . '"></td>');
    echo_r ('  </tr>');
    // Image measurements
    echo_r ('  <tr>');
    echo_r ('    <td width="30%">' . $cTrans->GetTranslation('admin_confed_imgmeasurements') . ': </td>');
    echo_r ('    <td></td>');
    echo_r ('  </tr>');
    echo_r ('  <tr>');
    echo_r ('    <td width="30%">' . $cTrans->GetTranslation('admin_confed_image') . ': </td>');
    echo_r ('    <td>');
    echo_r ('      ' . $cTrans->GetTranslation('admin_confed_imgwidth') . ': <input type="text" name="conf_img_width" size="5" value="' . $con_Config->GetParameter("img_width") . '">');
    echo_r ('      ' . $cTrans->GetTranslation('admin_confed_imgheight') . ': <input type="text" name="conf_img_height" size="5" value="' . $con_Config->GetParameter("img_height") . '">');
    echo_r ('    </td>');
    echo_r ('  </tr>');
    echo_r ('  <tr>');
    echo_r ('    <td width="30%">' . $cTrans->GetTranslation('admin_confed_largeimage') . ': </td>');
    echo_r ('    <td>');
    echo_r ('      ' . $cTrans->GetTranslation('admin_confed_imgwidth') . ': <input type="text" name="conf_largeimg_width" size="5" value="' . $con_Config->GetParameter("large_img_width") . '">');
    echo_r ('      ' . $cTrans->GetTranslation('admin_confed_imgheight') . ': <input type="text" name="conf_largeimg_height" size="5" value="' . $con_Config->GetParameter("large_img_height") . '">');
    echo_r ('    </td>');
    echo_r ('  </tr>');
    echo_r ('  <tr>');
    echo_r ('    <td width="30%">' . $cTrans->GetTranslation('admin_confed_thumbimage') . ': </td>');
    echo_r ('    <td>');
    echo_r ('      ' . $cTrans->GetTranslation('admin_confed_imgwidth') . ': <input type="text" name="conf_thumbimg_width" size="5" value="' . $con_Config->GetParameter("thumb_img_width") . '">');
    echo_r ('      ' . $cTrans->GetTranslation('admin_confed_imgheight') . ': <input type="text" name="conf_thumbimg_height" size="5" value="' . $con_Config->GetParameter("thumb_img_height") . '">');
    echo_r ('    </td>');
    echo_r ('  </tr>');
    echo_r ('  <tr>');
    echo_r ('    <td width="30%">' . $cTrans->GetTranslation('admin_confed_basketimage') . ': </td>');
    echo_r ('    <td>');
    echo_r ('      ' . $cTrans->GetTranslation('admin_confed_imgwidth') . ': <input type="text" name="conf_basketimg_width" size="5" value="' . $con_Config->GetParameter("basket_img_width") . '">');
    echo_r ('      ' . $cTrans->GetTranslation('admin_confed_imgheight') . ': <input type="text" name="conf_basketimg_height" size="5" value="' . $con_Config->GetParameter("basket_img_height") . '">');
    echo_r ('    </td>');
    echo_r ('  </tr>');
    echo_r ('  <tr>');
    echo_r ('    <td width="30%">' . $cTrans->GetTranslation('admin_confed_sidebarimage') . ': </td>');
    echo_r ('    <td>');
    echo_r ('      ' . $cTrans->GetTranslation('admin_confed_imgwidth') . ': <input type="text" name="conf_sidebarimg_width" size="5" value="' . $con_Config->GetParameter("sidebar_img_width") . '">');
    echo_r ('      ' . $cTrans->GetTranslation('admin_confed_imgheight') . ': <input type="text" name="conf_sidebarimg_height" size="5" value="' . $con_Config->GetParameter("sidebar_img_height") . '">');
    echo_r ('    </td>');
    echo_r ('  </tr>');
    echo_r ('  <tr>');
    echo ('    <td width="30%"><input type="checkbox" name="conf_showvideohint" value="1"');
    if ($con_Config->GetParameter("show_videohint") == true)
        echo (' checked');
    echo_r ('>' . $cTrans->GetTranslation('admin_confed_showvideohint') . '</td>');
    echo_r ('  <td></td></tr>');
    echo_r ('</table>');
    // Webshop currency / delivery types & costs
    echo_r ('<hr>');
    echo_r ('<table border="0" width="100%">');
    echo_r ('  <tr>');
    echo_r ('    <td width="30%">' . $cTrans->GetTranslation('admin_confed_currency') . ': </td>');
    echo_r ('    <td><input type="text" name="conf_currency" size="5" value="' . $con_Config->GetParameter("currency") . '"></td>');
    echo_r ('  </tr>');
    echo_r ('  <tr>');
    echo_r ('    <td width="30%">' . $cTrans->GetTranslation('admin_confed_shippingtype') . ': </td>');
    echo_r ('    <td><input type="text" name="conf_shiptype" size="40" value="' . $con_Config->GetParameter("shipping_type") . '"></td>');
    echo_r ('  </tr>');
    echo_r ('  <tr>');
    echo_r ('    <td width="30%">' . $cTrans->GetTranslation('admin_confed_shippingcosts') . ': </td>');
    echo_r ('    <td><input type="text" name="conf_shipcosts" size="40" value="' . $con_Config->GetParameter("shipping_costs") . '"></td>');
    echo_r ('  </tr>');
    echo_r ('  <tr>');
    echo_r ('    <td width="30%">' . $cTrans->GetTranslation('admin_confed_maxarticlecount') . ': </td>');
    echo_r ('    <td><input type="text" name="conf_maxarticlecount" size="5" value="' . $con_Config->GetParameter("max_article_count") . '"></td>');
    echo_r ('  </tr>');
    echo_r ('</table>');
    // Webshop language
    echo_r ('<hr>');
    echo_r ('<table border="0" width="100%">');
    echo_r ('  <tr>');
    echo_r ('    <td width="30%">' . $cTrans->GetTranslation('admin_confed_language') . ': </td>');
    echo_r ('    <td>');
    echo_r ('      <select name="conf_language">');
    echo   ('        <option value="en"');
    if ($con_Config->GetParameter("language") == "en")
       echo (' selected');
    echo_r ('>' . $cTrans->GetTranslation('admin_confed_language_en') . '</option>');
    echo   ('        <option value="de"');
    if ($con_Config->GetParameter("language") == "de")
       echo (' selected');
    echo_r ('>' . $cTrans->GetTranslation('admin_confed_language_de') . '</option>');
    echo_r ('      </select>');
    echo_r ('    </td>');
    echo_r ('  </tr>');
    echo_r ('</table>');
    // Use WYSIWYG editor
    echo_r ('<hr>');
    echo_r ('<table border="0" width="100%">');
    echo_r ('  <tr>');
    echo ('    <td width="30%"><input type="checkbox" name="conf_usewysiwygeditor" value="1"');
    if ($con_Config->GetParameter("use_wysiwygeditor") == true)
        echo (' checked');
    echo_r ('> ' . $cTrans->GetTranslation('admin_confed_usewysiwygeditor') . '</td>');
    echo_r ('  </tr>');
    echo_r ('</table>');
    // Use shop sidebar
    echo_r ('<hr>');
    echo_r ('<table border="0" width="100%">');
    echo_r ('  <tr>');
    echo ('    <td width="30%"><input type="checkbox" name="conf_usesidebar" value="1"');
    if ($con_Config->GetParameter("use_sidebar") == true)
        echo (' checked');
    echo_r ('>' . $cTrans->GetTranslation('admin_confed_usesidebar') . '</td>');
    echo_r ('    <td>');
    echo ('    <input type="checkbox" name="conf_sidebarnewest" value="1"');
    if ($con_Config->GetParameter("sidebar_newest") == true)
        echo (' checked');
    echo_r ('>' . $cTrans->GetTranslation('admin_confed_sidebarnewest') . '<br>');
    echo ('    <input type="checkbox" name="conf_sidebarcheapest" value="1"');
    if ($con_Config->GetParameter("sidebar_cheapest") == true)
        echo (' checked');
    echo_r ('>' . $cTrans->GetTranslation('admin_confed_sidebarcheapest') . '<br>');
    echo ('    <input type="checkbox" name="conf_sidebarpopular" value="1"');
    if ($con_Config->GetParameter("sidebar_popular") == true)
        echo (' checked');
    echo_r ('>' . $cTrans->GetTranslation('admin_confed_sidebarpopular') . '<br>');
    echo ('    <input type="checkbox" name="conf_sidebarmostordered" value="1"');
    if ($con_Config->GetParameter("sidebar_mostordered") == true)
        echo (' checked');
    echo_r ('>' . $cTrans->GetTranslation('admin_confed_sidebarmostordered') . '<br>');
    echo ('    <input type="checkbox" name="conf_sidebarrecent" value="1"');
    if ($con_Config->GetParameter("sidebar_recent") == true)
        echo (' checked');
    echo_r ('>' . $cTrans->GetTranslation('admin_confed_sidebarrecent') . '<br>');
    echo ('    <input type="checkbox" name="conf_sidebarsimilar" value="1"');
    if ($con_Config->GetParameter("sidebar_similar")== true)
        echo (' checked');
    echo_r ('>' . $cTrans->GetTranslation('admin_confed_sidebarsimilar') . '<br>');
    echo ('    ' . $cTrans->GetTranslation('admin_confed_sidebarimgcount') . ': ');
    echo_r ('<input type="text" name="conf_sidebarimgcount" size="4" value="' . $con_Config->GetParameter("sidebar_img_count") . '">');
    echo ('    ' . $cTrans->GetTranslation('admin_confed_sidebarwidth') . ': ');
    echo_r ('<input type="text" name="conf_sidebarwidth" size="4" value="' . $con_Config->GetParameter("sidebar_width") . '">');
    echo_r ('    </td>');
    echo_r ('  </tr>');
    echo_r ('</table>');
    // Use article amounts
    echo_r ('<hr>');
    echo_r ('<table border="0" width="100%">');
    echo_r ('  <tr>');
    echo ('    <td width="30%"><input type="checkbox" name="conf_usearticleamounts" value="1"');
    if ($con_Config->GetParameter("use_article_amounts") == true)
        echo (' checked');
    echo_r ('>' . $cTrans->GetTranslation('admin_confed_usearticleamounts') . '</td>');
    echo_r ('    <td></td>');
    echo_r ('  </tr>');
    echo_r ('</table>');
    // Use categories
    echo_r ('<hr>');
    echo_r ('<table border="0" width="100%">');
    echo_r ('  <tr>');
    echo ('    <td width="30%"><input type="checkbox" name="conf_usecategories" value="1"');
    if ($con_Config->GetParameter("use_categories") == true)
        echo (' checked');
    echo_r ('>' . $cTrans->GetTranslation('admin_confed_usecategories') . '</td>');
    echo_r ('    <td></td>');
    echo_r ('  </tr>');
    echo_r ('</table>');
    // Frontend/backend sort
    echo_r ('<hr>');
    echo_r ('<table border="0" width="100%">');
    echo_r ('  <tr>');
    echo_r ('    <td width="30%">' . $cTrans->GetTranslation('admin_confed_frontendsort') . ':</td>');
    echo_r ('    <td>');
    echo_r ('    <select name="conf_frontendsort">');
    echo   ('      <option value="' . $SORT_ID_ASC . '"');
    if ($con_Config->GetParameter("frontend_sort") == $SORT_ID_ASC)
        echo (' selected');
    echo_r ('>' . $cTrans->GetTranslation('admin_sortdateasc') . '</option>');
    echo   ('      <option value="' . $SORT_ID_DESC . '"');
    if ($con_Config->GetParameter("frontend_sort") == $SORT_ID_DESC)
        echo (' selected');
    echo_r ('>' . $cTrans->GetTranslation('admin_sortdatedesc') . '</option>');
    echo   ('      <option value="' . $SORT_NAME_ASC . '"');
    if ($con_Config->GetParameter("frontend_sort") == $SORT_NAME_ASC)
        echo (' selected');
    echo_r ('>' . $cTrans->GetTranslation('admin_sortnameasc') . '</option>');
    echo   ('      <option value="' . $SORT_NAME_DESC . '"');
    if ($con_Config->GetParameter("frontend_sort") == $SORT_NAME_DESC)
        echo (' selected');
    echo_r ('>' . $cTrans->GetTranslation('admin_sortnamedesc') . '</option>');
    echo   ('      <option value="' . $SORT_PRICE_ASC . '"');
    if ($con_Config->GetParameter("frontend_sort") == $SORT_PRICE_ASC)
        echo (' selected');
    echo_r ('>' . $cTrans->GetTranslation('admin_sortpriceasc') . '</option>');
    echo   ('      <option value="' . $SORT_PRICE_DESC . '"');
    if ($con_Config->GetParameter("frontend_sort") == $SORT_PRICE_DESC)
        echo (' selected');
    echo_r ('>' . $cTrans->GetTranslation('admin_sortpricedesc') . '</option>');
    echo_r ('    </select>');
    echo_r ('    </td>');
    echo_r ('  </tr>');
    echo_r ('  <tr>');
    echo_r ('    <td width="30%">' . $cTrans->GetTranslation('admin_confed_backendsort') . ':</td>');
    echo_r ('    <td>');
    echo_r ('    <select name="conf_backendsort">');
    echo   ('      <option value="' . $SORT_ID_ASC . '"');
    if ($con_Config->GetParameter("backend_sort") == $SORT_ID_ASC)
        echo (' selected');
    echo_r ('>' . $cTrans->GetTranslation('admin_sortdateasc') . '</option>');
    echo   ('      <option value="' . $SORT_ID_DESC . '"');
    if ($con_Config->GetParameter("backend_sort") == $SORT_ID_DESC)
        echo (' selected');
    echo_r ('>' . $cTrans->GetTranslation('admin_sortdatedesc') . '</option>');
    echo   ('      <option value="' . $SORT_NAME_ASC . '"');
    if ($con_Config->GetParameter("backend_sort") == $SORT_NAME_ASC)
        echo (' selected');
    echo_r ('>' . $cTrans->GetTranslation('admin_sortnameasc') . '</option>');
    echo   ('      <option value="' . $SORT_NAME_DESC . '"');
    if ($con_Config->GetParameter("backend_sort")== $SORT_NAME_DESC)
        echo (' selected');
    echo_r ('>' . $cTrans->GetTranslation('admin_sortnamedesc') . '</option>');
    echo   ('      <option value="' . $SORT_PRICE_ASC . '"');
    if ($con_Config->GetParameter("backend_sort") == $SORT_PRICE_ASC)
        echo (' selected');
    echo_r ('>' . $cTrans->GetTranslation('admin_sortpriceasc') . '</option>');
    echo   ('      <option value="' . $SORT_PRICE_DESC . '"');
    if ($con_Config->GetParameter("backend_sort") == $SORT_PRICE_DESC)
        echo (' selected');
    echo_r ('>' . $cTrans->GetTranslation('admin_sortpricedesc') . '</option>');
    if ($USE_CATEGORIES == true)
    {
        echo   ('      <option value="' . $SORT_CATID_ASC . '"');
        if ($con_Config->GetParameter("backend_sort") == $SORT_CATID_ASC)
            echo (' selected');
        echo_r ('>' . $cTrans->GetTranslation('admin_sortcategoryasc') . '</option>');
        echo   ('      <option value="' . $SORT_CATID_DESC . '"');
        if ($con_Config->GetParameter("backend_sort") == $SORT_CATID_DESC)
            echo (' selected');
        echo_r ('>' . $cTrans->GetTranslation('admin_sortcategorydesc') . '</option>');
    }
    echo_r ('    </select>');
    echo_r ('    </td>');
    echo_r ('  </tr>');
    echo_r ('</table>');
    // Custom fields
    echo_r ('<hr>');
    echo_r ('<table border="0" width="100%">');
    // Custom fields usage
    echo_r ('  <tr>');
    echo ('    <td width="30%"><input type="checkbox" name="conf_custfieldusage" value="1"');
    if ($con_Config->GetParameter("use_custom_fields") == true)
        echo (' checked');
    echo_r ('>' . $cTrans->GetTranslation('admin_confed_usecustfields') . '</td>');
    echo_r ('  </tr>');
    echo_r ('</table>');
    echo_r ('<table border="0" width="100%">');
    echo_r ('  <tr>');
    echo_r ('    <td>' . $cTrans->GetTranslation('admin_confed_inputhelp') . ':</td>');
    echo_r ('  </tr>');
    echo_r ('</table>');
    echo_r ('<table border="0" width="100%">');
    // Custom fields input presets
    echo_r ('  <tr>');
    echo ('    <td width="30%"><input type="checkbox" name="conf_presets" value="1"');
    if ($con_Config->GetParameter("use_presets") == true)
        echo (' checked');
    echo_r ('>' . $cTrans->GetTranslation('admin_confed_usepresets') . '</td>');
    echo_r ('  </tr>');
    echo_r ('  <tr>');
    echo_r ('    <td>' . $cTrans->GetTranslation('admin_art_custfieldsname') . ':</td>');
    echo_r ('    <td>' . $cTrans->GetTranslation('admin_art_custfieldsvalue') . ':</td>');
    echo_r ('  </tr>');
    for ($i = 1; $i <= $PRESET_CUSTOM_FIELD_COUNT; $i ++)
    {
        echo_r('  <tr>');
        echo_r('    <td>' . $cTrans->GetTranslation('admin_art_custfieldname') . $i . ':  ');
        if (isset($_POST['conf_custfieldname' . $i]) == true)
            echo_r('    <input type="text" name="conf_custfieldname' .$i .'" size="15" value="' . $_POST['conf_custfieldname' . $i] . '"></td>');
        else
            echo_r('    <input type="text" name="conf_custfieldname' .$i .'" size="15" value="' . $con_Config->GetParameter("cust_field_name" . $i) . '"></td>');
        echo_r('    <td>' . $cTrans->GetTranslation('admin_art_custfieldvalue') . $i . ':  ');
        if (isset($_POST['conf_custfieldvalue' . $i]) == true)
            echo_r('    <input type="text" name="conf_custfieldvalue' .$i .'" size="40" value="' . $_POST['conf_custfieldvalue' . $i] . '"></td>');
        else
            echo_r('    <input type="text" name="conf_custfieldvalue' .$i .'" size="40" value="' . $con_Config->GetParameter("cust_field_value" . $i) . '"></td>');
        echo_r('  </tr>');
    }
    echo_r('</table>');
    // Shop Navigation
    echo_r ('<hr>');
    echo_r ('<table border="0" width="100%">');
    // Main page button
    echo_r ('  <tr>');
    echo_r ('    <td width="30%">' . $cTrans->GetTranslation('admin_confed_buttontitlemain') . ': </td>');
    echo_r ('    <td><input type="text" size="15" name="conf_buttontitlemain" value="' . $con_Config->GetParameter("buttontitle_main") . '"></td>');
    echo_r ('  </tr>');
    // Basket button
    echo_r ('  <tr>');
    echo_r ('    <td width="30%">' . $cTrans->GetTranslation('admin_confed_buttontitlebasket') . ': </td>');
    echo_r ('    <td><input type="text" size="15" name="conf_buttontitlebasket" value="' . $con_Config->GetParameter("buttontitle_basket") . '"></td>');
    echo_r ('  </tr>');
    // Cash desk button
    echo_r ('  <tr>');
    echo_r ('    <td width="30%">' . $cTrans->GetTranslation('admin_confed_buttontitleorder') . ': </td>');
    echo_r ('    <td><input type="text" size="15" name="conf_buttontitleorder" value="' . $con_Config->GetParameter("buttontitle_order") . '"></td>');
    echo_r ('  </tr>');
    // Terms button
    echo_r ('  <tr>');
    echo_r ('    <td width="30%">' . $cTrans->GetTranslation('admin_confed_buttontitleterms') . ': </td>');
    echo_r ('    <td><input type="text" size="15" name="conf_buttontitleterms" value="' . $con_Config->GetParameter("buttontitle_terms") . '"></td>');
    echo_r ('  </tr>');
    // Imprint button
    echo_r ('  <tr>');
    echo_r ('    <td width="30%">' . $cTrans->GetTranslation('admin_confed_buttontitleimprint') . ': </td>');
    echo_r ('    <td><input type="text" size="15" name="conf_buttontitleimprint" value="' . $con_Config->GetParameter("buttontitle_imprint") . '"></td>');
    echo_r ('  </tr>');
    // Contact button
    echo_r ('  <tr>');
    echo_r ('    <td width="30%">' . $cTrans->GetTranslation('admin_confed_buttontitlecontact') . ': </td>');
    echo_r ('    <td><input type="text" size="15" name="conf_buttontitlecontact" value="' . $con_Config->GetParameter("buttontitle_contact") . '"></td>');
    echo_r ('  </tr>');
    // Show contact
    echo_r ('  <tr>');
    echo ('    <td width="30%"><input type="checkbox" name="conf_showcontact" value="1"');
    if ($con_Config->GetParameter("show_contact") == true)
        echo (' checked');
    echo_r ('>' . $cTrans->GetTranslation('admin_confed_showcontact') . '</td>');
    echo_r ('    <td></td>');
    echo_r ('  </tr>');
    // Help button
    echo_r ('  <tr>');
    echo_r ('    <td width="30%">' . $cTrans->GetTranslation('admin_confed_buttontitlehelp') . ': </td>');
    echo_r ('    <td><input type="text" size="15" name="conf_buttontitlehelp" value="' . $con_Config->GetParameter("buttontitle_help") . '"></td>');
    echo_r ('  </tr>');
    // Show help
    echo_r ('  <tr>');
    echo ('    <td width="30%"><input type="checkbox" name="conf_showhelp" value="1"');
    if ($con_Config->GetParameter("show_help") == true)
        echo (' checked');
    echo_r ('>' . $cTrans->GetTranslation('admin_confed_showhelp') . '</td>');
    echo_r ('    <td></td>');
    echo_r ('  </tr>');
    echo_r ('</table>');
    // Show counter
    echo_r ('<hr>');
    echo_r ('<table border="0" width="100%">');
    echo_r ('  <tr>');
    echo ('    <td width="30%"><input type="checkbox" name="conf_showcounter" value="1"');
    if ($con_Config->GetParameter("show_counter") == true)
        echo (' checked');
    echo_r ('>' . $cTrans->GetTranslation('admin_confed_showcounter') . '</td>');
    echo_r ('    <td></td>');
    echo_r ('  </tr>');
    echo_r ('</table>');
    // Webshop maintenance mode
    echo_r ('<hr>');
    echo_r ('<table border="0" width="100%">');
    echo_r ('  <tr>');
    echo ('    <td width="30%"><input type="checkbox" name="conf_maintenance" value="1"');
    if ($con_Config->GetParameter("maintenance_mode") == true)
        echo (' checked');
    echo_r ('>' . $cTrans->GetTranslation('admin_confed_maintenancemode') . '</td>');
    echo_r ('    <td></td>');
    echo_r ('  </tr>');
    echo_r ('</table>');

    print_bottom_links("config_Save", $cTrans->GetTranslation('admin_save'),
                       "config_Cancel", $cTrans->GetTranslation('admin_cancel'), false);
    echo_r ('</form>');

    print_admin_footer();
?>